### Name: rowpAUCs
### Title: Rowwise ROC and pAUC
### Aliases: rowpAUCs
### Keywords: math

### ** Examples


   data(sample.exprSet.1)

   r1 = rowttests(sample.exprSet.1, "cov2")
   r2 = rowpAUCs(sample.exprSet.1, "cov2")

 if(interactive()) {
   plot(r2$pAUC, r1$statistic, pch=16)
   plot(1-r2$spec[1,], r2$sens[1,], pch=16)
 }

 ## this compares performance and output of rowpAUCs to function pAUC in
 ## package ROC 
 if(require(ROC)){

  myRule = function(x) {
    pAUC(rocdemo.sca(truth = pData(sample.exprSet.1)$cov2-1, data = x, rule = dxrule.sca), t0 = 0.1)
  }
  cat("computation time:\n")
  cat("function pAUC: ")
  print(system.time(r3 <- esApply(sample.exprSet.1[1:100, ], 1, myRule)))
  cat("function rowpAUCs: ")
  print(system.time(r2 <- rowpAUCs(sample.exprSet.1[1:100, ], "cov2")))
  plot(r3, r2$pAUC, xlab="function pAUC", ylab="function rowpAUCs", main="pAUCs")
 }



